Bug 516072

Summary: port to PolicyKit 1.0
Product: [Fedora] Fedora Reporter: Matthias Clasen <mclasen>
Component: argyllcmsAssignee: Gwyn Ciesla <limburgher>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: limburgher
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 01:38:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matthias Clasen 2009-08-06 11:39:28 EDT
PolicyKit 1.0 is going to be obsoleted by polkit 1.0. Please port argyllcms to the new api. For more information, see

http://fedoraproject.org/wiki/Features/PolicyKitOne
Comment 1 Gwyn Ciesla 2009-08-06 13:57:40 EDT
Trying to test.  However, in step 2, not only do I not have that binary, but yum doesn't see anything that provides it for F-11.
Comment 2 Matthias Clasen 2009-08-20 10:15:59 EDT
polkit 1 is only available in F12. 
/usr/libexec/polkit-gnome-authentication-agent-1 is provided in by the polkit-gnome package.
Comment 3 Gwyn Ciesla 2009-08-20 14:48:33 EDT
Will it be available for F-11?
Comment 4 Matthias Clasen 2009-08-20 14:51:39 EDT
no
Comment 5 Gwyn Ciesla 2009-08-20 15:01:53 EDT
Can this wait until F-12 is out?  I don't currently have a rawhide machine.
Comment 6 Matthias Clasen 2009-08-20 15:39:43 EDT
not really. I guess you can probably get the eggdbus, polkit and polkit-gnome packages from F12 to install on F11, or at least rebuild them on F11.
Comment 7 Gwyn Ciesla 2009-08-25 11:46:45 EDT
After rebuilding and upgrading eggdbus, glibc and prelink, rebooting, I can't build polkit.  Says it needs glib and gio > 2.21.4, and I only have 2.20.4.  ?
Comment 8 Matthias Clasen 2009-08-25 14:52:11 EDT
at that point, it might be easier to install rawhide in a vm.
Comment 9 Gwyn Ciesla 2009-08-28 09:42:43 EDT
I now have a rawhide vm, and verified steps 1 and 2.  The trouble is, I'm not sure how to proceed with 3.  All the binaries are executable by all users.  I'm assuming there's something that would require authorization to access a profiling device, but I don't have one, and the .policy file doesn't really tell me anything.
Comment 10 Bug Zapper 2009-11-16 06:16:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-11-04 06:35:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 01:38:38 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.